import { UserConfig } from 'vite';
import { HmrOptions } from './plugins/hmr';
export interface ViteBurnerUserConfig extends HmrOptions {
    sourcemap?: boolean | 'inline' | 'hidden';
    port?: number;
    timeout?: number;
    dts?: string;
}
export interface ViteBurnerViteConfig extends UserConfig {
    viteburner?: ViteBurnerConfig;
}
export interface ViteBurnerInlineConfig {
    cwd: string;
    port?: number;
}
export interface ViteBurnerConfig extends ViteBurnerUserConfig, ViteBurnerInlineConfig {
}
declare module 'vite' {
    interface UserConfig {
        viteburner?: ViteBurnerConfig;
    }
}
export declare function loadConfig(inlineConfig: ViteBurnerInlineConfig): Promise<ViteBurnerConfig>;
