import { HmrData, ViteBurnerServer } from '..';
import WsManager from './manager';
export default class WsAdapter {
    buffers: Map<string, HmrData>;
    manager: WsManager;
    server: ViteBurnerServer;
    constructor(manager: WsManager, server: ViteBurnerServer);
    info(...msg: string[]): void;
    error(msg: string): void;
    getDts(): Promise<void>;
    handleHmrMessage(data?: HmrData | HmrData[]): Promise<void>;
    deleteCache(data: HmrData): void;
    getFilename(data: HmrData): string;
    transmitData(data: HmrData): Promise<void>;
}
