var M = Object.defineProperty;
var F = (s, e, t) => e in s ? M(s, e, { enumerable: !0, configurable: !0, writable: !0, value: t }) : s[e] = t;
var f = (s, e, t) => (F(s, typeof e != "symbol" ? e + "" : e, t), t);
import h from "picocolors";
import y, { relative as j, resolve as k } from "path";
import { createServer as D } from "vite";
import "url";
import "pathe";
import { isMatch as R } from "micromatch";
import x from "chokidar";
import N from "events";
import { WebSocketServer as I, WebSocket as W } from "ws";
import { z as m } from "zod";
import C from "cac";
import { loadConfig as O } from "unconfig";
import b from "fs";
function T(s) {
  return `${h.cyan("[viteburner]")} ${s}`;
}
function p(s = "", e = "", t = "") {
  const r = [];
  return s && r.push(h.green(s)), e && r.push(h.dim(e)), t && r.push(t), T(r.join(" "));
}
function Te(s) {
  return h.yellow(`[viteburner] ${s}`);
}
function E(s) {
  return h.red(`[viteburner] ${s}`);
}
process.platform;
function S(s) {
  return s.replace(/\\/g, "/");
}
function A(s, e) {
  return e && s.startsWith(e) && (s = `/${s.slice(e.length)}`), s.replace(/^\/@id\/__x00__/, "\0").replace(/^\/@id\//, "").replace(/^__vite-browser-external:/, "").replace(/^(node|file):/, "").replace(/^\/+/, "/").replace(/\?v=\w+/, "?").replace(/&v=\w+/, "").replace(/\?t=\w+/, "?").replace(/&t=\w+/, "").replace(/\?import/, "?").replace(/&import/, "").replace(/\?&/, "?").replace(/\?+$/, "");
}
const v = "virtual:viteburner-entry";
function H() {
  const s = "\0" + v;
  return {
    name: "viteburner:entry",
    resolveId(e) {
      if (e === v)
        return s;
    },
    load(e) {
      if (e === s)
        return "export {}";
    }
  };
}
const P = (s = {}) => ({
  watch: s.watch || {}
}), w = "viteburner:hmr";
function _() {
  let s = {};
  const e = (t) => {
    var i;
    const r = (i = s == null ? void 0 : s.watch) != null ? i : {};
    for (const n in r)
      if (R(t, r[n].pattern))
        return n;
  };
  return {
    name: w,
    configResolved(t) {
      s = P(t.viteburner);
    },
    configureServer(t) {
      var o;
      const r = (o = s == null ? void 0 : s.watch) != null ? o : {};
      t.emitter = new N();
      const i = ["add", "unlink", "change"];
      let n = !0;
      const a = Object.values(r).map((u) => u.pattern), c = x.watch(a, {
        cwd: t.config.root,
        ignoreInitial: !1,
        persistent: !0
      });
      c.on("ready", () => {
        n = !1;
      });
      for (const u of i)
        c.on(u, (l) => {
          const d = e(l);
          if (d)
            t.emitter.emit(w, {
              file: S(l),
              event: u,
              type: d,
              transform: r[d].transform,
              initial: n,
              timestamp: Date.now()
            });
          else
            throw new Error(`File ${l} does not match any patterns`);
        });
    },
    handleHotUpdate(t) {
      const r = j(t.server.config.root, t.file);
      if (e(r))
        return [];
    }
  };
}
async function z(s) {
  const e = s.cwd;
  return D({
    ...e && { root: e },
    mode: "development",
    optimizeDeps: {
      disabled: !0
    },
    clearScreen: !1,
    build: {
      lib: {
        entry: v,
        formats: ["es"]
      },
      rollupOptions: {
        output: {
          exports: "named",
          preserveModules: !0,
          preserveModulesRoot: "src",
          entryFileNames: () => "[name].js"
        }
      }
    },
    server: {
      middlewareMode: !0
    },
    viteburner: s,
    plugins: [H(), _()]
  });
}
async function q(s) {
  const e = await z(s), t = {
    ...e,
    pathToId(r) {
      const i = `/@fs/${S(k(e.config.root, r))}`;
      return A(i, t.config.base);
    },
    async fetchModule(r) {
      const i = t.pathToId(r);
      return t.transformRequest(i);
    },
    onHmrMessage(r) {
      t.emitter.on(w, (i) => r(i, t));
    },
    async buildStart() {
      return t.pluginContainer.buildStart({});
    }
  };
  return t;
}
const J = m.object({
  jsonrpc: m.literal("2.0"),
  id: m.number(),
  result: m.any(),
  error: m.any()
}), U = m.literal("OK"), B = m.string(), K = m.literal("OK"), V = m.array(m.string()), L = m.array(
  m.object({
    filename: m.string(),
    content: m.string()
  })
), G = m.number(), Q = m.string();
class X {
  constructor(e) {
    f(this, "options");
    f(this, "ws");
    f(this, "wss");
    f(this, "trackers");
    f(this, "nextId");
    this.options = {
      timeout: 1e4,
      ...e
    }, this.trackers = [], this.nextId = 0, this.ws = void 0, this.wss = new I({ port: this.options.port }), this.wss.on("connection", (t) => {
      this.ws = t, t.on("message", (r) => this.handleMessage(r));
    });
  }
  get connected() {
    var e;
    return ((e = this.ws) == null ? void 0 : e.readyState) === W.OPEN;
  }
  onConnected(e) {
    this.wss.on("connection", (t) => {
      this.ws = t, e(t);
    });
  }
  onDisconneted(e) {
    this.wss.on("close", e);
  }
  handleMessage(e) {
    const t = J.parse(JSON.parse(e.toString())), { id: r, result: i, error: n } = t;
    if (!this.trackers[r])
      return;
    const { resolve: a, reject: c } = this.trackers[r];
    n && c(n), a(i);
  }
  async sendMessage(e) {
    const t = e.params;
    if (!this.ws || !this.connected)
      throw new Error("No connection");
    const r = ++this.nextId;
    this.ws.send(
      JSON.stringify({
        jsonrpc: "2.0",
        id: r,
        method: e.method,
        ...t && { params: t }
      })
    );
    const i = new Promise((n, a) => {
      const c = (u) => {
        var l, d;
        try {
          n((d = (l = e.validator) == null ? void 0 : l.parse(u)) != null ? d : u);
        } catch ($) {
          a($);
        } finally {
          delete this.trackers[r];
        }
      }, o = (u) => {
        delete this.trackers[r], a(u);
      };
      this.trackers[r] = {
        resolve: c,
        reject: o
      };
    });
    return this.options.timeout && setTimeout(() => {
      this.trackers[r] && this.trackers[r].reject(new Error(`Timeout after ${this.options.timeout}ms`));
    }, this.options.timeout), i;
  }
  async pushFile(e) {
    return this.sendMessage({
      method: "pushFile",
      params: e,
      validator: U
    });
  }
  async getFile(e) {
    return this.sendMessage({
      method: "getFile",
      params: e,
      validator: B
    });
  }
  async deleteFile(e) {
    return this.sendMessage({
      method: "deleteFile",
      params: e,
      validator: K
    });
  }
  async getFileNames(e) {
    return this.sendMessage({
      method: "getFileNames",
      params: e,
      validator: V
    });
  }
  async getAllFiles(e) {
    return this.sendMessage({
      method: "getAllFiles",
      params: e,
      validator: L
    });
  }
  async calculateRam(e) {
    return this.sendMessage({
      method: "calculateRam",
      params: e,
      validator: G
    });
  }
  async getDefinitionFile() {
    return this.sendMessage({
      method: "getDefinitionFile",
      validator: Q
    });
  }
}
async function Y(s) {
  const { config: e } = await O({
    sources: [
      {
        files: "viteburner.config",
        extensions: ["ts", "mts", "cts", "js", "mjs", "cjs", "json", ""]
      },
      {
        files: "vite.config",
        async rewrite(t) {
          var n;
          const r = await (typeof t == "function" ? t() : t), i = (n = r == null ? void 0 : r.build) == null ? void 0 : n.sourcemap;
          return {
            ...i && { sourcemap: i },
            ...r == null ? void 0 : r.viteburner
          };
        }
      }
    ],
    cwd: s.cwd,
    merge: !0
  });
  return {
    ...e,
    ...s
  };
}
function Z(s) {
  if (!s)
    return "";
  const e = JSON.stringify(s);
  return `//# sourceMappingURL=data:application/json;base64,${Buffer.from(e).toString("base64")}`;
}
class ee {
  constructor(e, t) {
    f(this, "buffers", /* @__PURE__ */ new Map());
    f(this, "manager");
    f(this, "server");
    this.manager = e, this.server = t, this.manager.onConnected(async (r) => {
      this.info("conn", "", "connected"), r.on("close", () => {
        this.info("conn", "", h.yellow("disconnected"));
      }), await this.getDts(), await this.handleHmrMessage();
    });
  }
  info(...e) {
    this.server.config.logger.info(p(...e));
  }
  error(e) {
    this.server.config.logger.error(E(e));
  }
  async getDts() {
    var e, t, r, i;
    try {
      const n = await this.manager.getDefinitionFile(), a = (e = this.server.config.root) != null ? e : process.cwd(), c = (i = (r = (t = this.server.config) == null ? void 0 : t.viteburner) == null ? void 0 : r.dts) != null ? i : "NetscriptDefinitions.d.ts", o = y.resolve(a, c);
      await b.promises.writeFile(o, n), this.info("dts change", c);
    } catch (n) {
      this.error(`error getting dts file: ${n}`);
    }
  }
  async handleHmrMessage(e) {
    e ? Array.isArray(e) || (e = [e]) : e = [];
    const t = this.manager.connected;
    for (const r of e)
      this.buffers.set(r.file, r), this.info(`hmr ${r.event}`, r.file, h.yellow("(pending)"));
    if (!!t && this.buffers.size)
      for (const r of this.buffers.values())
        await this.transmitData(r);
  }
  deleteCache(e) {
    const t = this.buffers.get(e.file);
    t && e.timestamp === t.timestamp && this.buffers.delete(e.file);
  }
  getFilename(e) {
    var n, a, c, o, u;
    const t = (l) => (l.startsWith("src/") && (l = l.substring(4)), l.endsWith(".ts") && (l = l.substring(0, l.length - 3) + ".js"), l), r = (u = (o = (c = (a = (n = this.server.config) == null ? void 0 : n.viteburner) == null ? void 0 : a.watch) == null ? void 0 : c[e.type]) == null ? void 0 : o.rename) != null ? u : t;
    return ((l) => l.indexOf("/") !== -1 && !l.startsWith("/") ? "/" + l : l)(r(e.file));
  }
  async transmitData(e) {
    var r, i;
    const t = (n, a, c, o = !0) => {
      const u = `@${c}:${a}`;
      return o ? `${h.dim(n)} ${h.reset("->")} ${h.dim(u)}` : `${n} -> ${u}`;
    };
    if (e.event === "add" || e.event === "change") {
      let n = "";
      if (e.transform) {
        const o = await this.server.fetchModule(e.file);
        if (!o) {
          this.server.config.logger.error("module not found: " + e.file);
          return;
        }
        n = o.code, ((i = (r = this.server.config) == null ? void 0 : r.viteburner) == null ? void 0 : i.sourcemap) === "inline" && o.map && (n += Z(o.map));
      } else
        n = (await b.promises.readFile(y.resolve(this.server.config.root, e.file))).toString();
      const a = this.getFilename(e), c = "home";
      try {
        await this.manager.pushFile({
          filename: a,
          content: n,
          server: c
        }), this.deleteCache(e);
        const o = t(e.file, a, c);
        this.info(`hmr ${e.event}`, o, h.green("(done)"));
      } catch (o) {
        const u = t(e.file, a, c, !1);
        this.error(`error on pusing file: ${u} ${o}`), this.error(`hmr ${e.event} ${e.file} (error)`);
      }
    } else if (e.event === "unlink") {
      const n = this.getFilename(e), a = "home";
      try {
        await this.manager.deleteFile({
          filename: n,
          server: a
        }), this.deleteCache(e);
        const c = t(e.file, n, a);
        this.info(`hmr ${e.event}`, c, h.green("(done)"));
      } catch (c) {
        const o = t(e.file, n, a, !1);
        this.error(`error on deleting file: ${o} ${c}`), this.error(`hmr ${e.event} ${e.file} (error)`);
        return;
      }
    } else
      throw new Error("Unknown hmr event: " + e.event);
  }
}
async function te(s) {
  var c;
  const e = (c = s.port) != null ? c : 12525;
  console.log(p("ws", "creating WebSocket server..."));
  const t = new X({ port: e, timeout: s.timeout });
  console.log(p("ws", "WebSocket server listening on", `localhost:${h.magenta(String(e))}`)), console.log(p("vite", "creating dev server..."));
  const r = await q(s);
  r.config.logger.info(p("vite", "watching for file changes..."));
  const i = new ee(t, r);
  let n = !1;
  const a = [];
  r.onHmrMessage(async (o) => {
    n ? await i.handleHmrMessage(o) : a.push(o);
  }), await r.buildStart(), n = !0;
  for (const o of a)
    await i.handleHmrMessage(o);
}
const re = "viteburner", se = "0.0.1", ne = "Bitburner template using vite", ie = "dist/entry.js", oe = "dist/entry.mjs", ce = {
  ".": {
    require: "./dist/index.js",
    import: "./dist/index.mjs"
  }
}, ae = "dist/typings/index.d.ts", le = {
  build: "vite build",
  test: "vitest",
  "test:playground": "vite-node ./src/entry.ts -- --cwd ./playground",
  format: 'prettier --write "**/*.{js,mjs,cjs,jsx,ts,mts,cts,tsx,json}"'
}, ue = {
  type: "git",
  url: "git+https://github.com/Tanimodori/viteburner.git"
}, me = [
  "bitburner",
  "vite"
], he = "Tanimodori", fe = "MIT", pe = {
  url: "https://github.com/Tanimodori/viteburner/issues"
}, de = "https://github.com/Tanimodori/viteburner#readme", ge = {
  "@types/micromatch": "^4.0.2",
  "@types/node": "^18.8.2",
  "@types/ws": "^8.5.3",
  "@typescript-eslint/eslint-plugin": "^5.39.0",
  "@typescript-eslint/parser": "^5.39.0",
  "builtin-modules": "^3.3.0",
  eslint: "^8.24.0",
  "eslint-config-prettier": "^8.5.0",
  "eslint-plugin-prettier": "^4.2.1",
  prettier: "^2.7.1",
  typescript: "^4.8.4",
  vite: "^3.1.8",
  "vite-node": "^0.24.0",
  "vite-plugin-dts": "^1.6.6",
  vitest: "^0.24.3"
}, ve = {
  cac: "^6.7.14",
  chokidar: "^3.5.3",
  micromatch: "^4.0.5",
  pathe: "^0.3.9",
  picocolors: "^1.0.0",
  unconfig: "^0.3.7",
  ws: "^8.9.0",
  zod: "^3.19.1"
}, we = {
  vite: "^3.0.0"
}, ye = {
  name: re,
  version: se,
  description: ne,
  main: ie,
  module: oe,
  exports: ce,
  typings: ae,
  scripts: le,
  repository: ue,
  keywords: me,
  author: he,
  license: fe,
  bugs: pe,
  homepage: de,
  devDependencies: ge,
  dependencies: ve,
  peerDependencies: we
}, g = C("viteburner");
g.command("", "start dev server").alias("serve").alias("dev").option("--cwd <cwd>", "Working directory", { default: process.cwd() }).option("--port <port>", "Port to listen on").action(be);
g.help();
g.version(ye.version);
async function be(s) {
  const e = s.port, t = {
    cwd: s.cwd,
    ...e && { port: e }
  };
  console.log(p("config", "resolving user config..."));
  const r = await Y(t);
  console.log(p("config", "config resolved")), te(r);
}
async function Ee() {
  g.parse();
}
export {
  p as a,
  Te as b,
  E as c,
  _ as d,
  H as e,
  T as f,
  z as g,
  w as h,
  q as i,
  Z as j,
  Y as l,
  Ee as m,
  be as s,
  v,
  te as w
};
